@import "../../vendor/bootstrap-4.1.3/scss/functions";
@import "../../vendor/bootstrap-4.1.3/scss/variables";
@import "../../vendor/bootstrap-4.1.3/scss/mixins";
@import "callouts";

.heading {
    font-family: 'TeXGyreAdventor', "Century Gothic", 'Yu Gothic', 'Ubuntu', sans-serif;
    text-transform: uppercase;
    font-size: 1.5rem;
}

h1 {
    text-align: center;
}

h1, h2, h3, h4, h5, h6 {
    text-transform: uppercase;
    font-weight: normal;
    // text-align: center;
}

body {
    font-family: 'TeXGyreAdventor', "Century Gothic", 'Yu Gothic', 'Ubuntu', sans-serif;
    font-weight: 300;
}

.invalid-feedback {
  display: inherit;
}

.navbar {
    margin-bottom: 1rem;
}

.dashed-text-pointer {
    text-decoration: underline dashed currentcolor;
    cursor: pointer;
}

.catalog-page-list-item-img {
    max-height: 12rem;
}

.catalog-item-page-img, .reservation-page-img {
    max-height: 12rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
}

.avail-to-book {
    color: green;
}

.being-read {
    color: red;
}

.card-columns {
    @include media-breakpoint-only(xs) {
        column-count: 1;
    }
    @include media-breakpoint-only(sm) {
        column-count: 1;
    }
    @include media-breakpoint-only(md) {
        column-count: 1;
    }
    @include media-breakpoint-only(lg) {
        column-count: 2;
    }
    @include media-breakpoint-only(xl) {
        column-count: 3;
    }
}

.div-label-for {
    display: inline-block;
    margin-bottom: .5rem;
}

.link-like {
  color: #007bff;
  text-decoration: none;
  cursor: pointer;

  &:hover {
    text-decoration: underline;
  }
}

.toasts {
    position: relative;
    z-index: 100;
    // top: -80px;
    // min-height: 200px;
    &__wrap {
        position: absolute;
        // top: 40px;
        // right: 10px;
        right: 0;
    }
}

.toast {
  background-color: rgba(255,255,255,.95);
}

/* page specific code */

.page-meetup-edit {
  &--input-max-width {
    max-width: 435px;
  }
}
